﻿-- -----------------------------------------------------
-- Table `LELIBRE_PERMISSIONS`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `LELIBRE_PERMISSIONS` (
  `PERMISSION_ID` INT(20) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `TRC_NUM` INT(11) UNSIGNED NOT NULL ,
  `CODE` VARCHAR(40) NOT NULL ,
  PRIMARY KEY (`PERMISSION_ID`) ,
  UNIQUE INDEX `CODE` (`CODE` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;

-- -----------------------------------------------------
-- Table `LELIBRE_ROLES`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `LELIBRE_ROLES` (
  `ROLE_ID` INT(20) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `TRC_NUM` INT(11) UNSIGNED NOT NULL ,
  `CODE` VARCHAR(40) NOT NULL ,
  PRIMARY KEY (`ROLE_ID`) ,
  UNIQUE INDEX `CODE` (`CODE` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;

-- -----------------------------------------------------
-- Table `LELIBRE_USERS`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `LELIBRE_USERS` (
  `USER_ID` INT(20) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `TRC_NUM` INT(11) UNSIGNED NOT NULL ,
  `USERNAME` VARCHAR(50) NOT NULL ,
  `EMAIL` VARCHAR(50) NOT NULL ,
  `FIRSTNAME` VARCHAR(40) NOT NULL ,
  `LASTNAME` VARCHAR(40) NOT NULL ,
  `DISPLAYNAME` VARCHAR(40) NULL DEFAULT NULL ,
  `LANGUAGE` VARCHAR(10) NOT NULL ,
  `PASSWORDHASH` VARCHAR(44) NOT NULL ,
  `SALT` VARCHAR(8) NOT NULL ,
  `CREATEDDATE` DATETIME NULL DEFAULT NULL ,
  PRIMARY KEY (`USER_ID`) ,
  UNIQUE INDEX `USERNAME` (`USERNAME` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;

-- -----------------------------------------------------
-- Table `USERS_PERMISSIONS`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `USERS_PERMISSIONS` (
  `USER_ID` INT(20) UNSIGNED NOT NULL ,
  `PERMISSION_ID` INT(20) UNSIGNED NOT NULL ,
  INDEX `UserPermissions_LelibreUsers_FK` (`USER_ID` ASC) ,
  INDEX `UserPermissions_LelibrePermissions_FK` (`PERMISSION_ID` ASC) ,
  PRIMARY KEY (`USER_ID`, `PERMISSION_ID`) ,
  CONSTRAINT `UserPermissions_LelibreUsers_FK`
    FOREIGN KEY (`USER_ID` )
    REFERENCES `LELIBRE_USERS` (`USER_ID` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `UserPermissions_LelibrePermissions_FK`
    FOREIGN KEY (`PERMISSION_ID` )
    REFERENCES `LELIBRE_PERMISSIONS` (`PERMISSION_ID` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;

-- -----------------------------------------------------
-- Table `USERS_ROLES`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `USERS_ROLES` (
  `USER_ID` INT(20) UNSIGNED NOT NULL ,
  `ROLE_ID` INT(20) UNSIGNED NOT NULL ,
  INDEX `UserRole_LelibreUser_FK` (`USER_ID` ASC) ,
  INDEX `UserRole_LelibreRoles_FK` (`ROLE_ID` ASC) ,
  PRIMARY KEY (`USER_ID`, `ROLE_ID`) ,
  CONSTRAINT `UserRole_LelibreUser_FK`
    FOREIGN KEY (`USER_ID` )
    REFERENCES `LELIBRE_USERS` (`USER_ID` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `UserRole_LelibreRoles_FK`
    FOREIGN KEY (`ROLE_ID` )
    REFERENCES `LELIBRE_ROLES` (`ROLE_ID` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;