﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyFramework.ServiceStackApi;
using MyFramework;
using ServiceStackApiDemo.Domain;
using ServiceStackApiDemo.Queries;

namespace ServiceStackApiDemo.Facades
{
    internal class MyUserFacade : Facade, IMyUserFacade
    {
        public IMyUser Create(string name)
        {
            IMyUserRepository repository = InjectionManager.Resolve<IMyUserRepository>();
            IMyUserFactory factory = InjectionManager.Resolve<IMyUserFactory>();
            IMyUser user = factory.Create(name, this.CurrentUser.UserName);
            repository.Save(user);
            return user;
        }

        public bool Contains(string name)
        {
            IMyUserRepository repository = InjectionManager.Resolve<IMyUserRepository>();
            return repository.GetByName(name) != null;
        }

        public IEnumerable<IMyUser> FindAll()
        {
            IMyUserRepository repository = InjectionManager.Resolve<IMyUserRepository>();
            return repository.Find(new FindByOwnerSpecification(this.CurrentUser.UserName));
        }
    }
}
