﻿using System.Linq;
using MyFramework;
using MyFramework.ServiceStackApi;
using ServiceStack.ServiceInterface;
using ServiceStackApiDemo.Contracts;
using ServiceStackApiDemo.Domain;
using ServiceStackApiDemo.Facades;

namespace ServiceStackApiDemo.Web
{
    [Authenticate]
    public class MyUserService : LelibreService
    {
        public object Post(CreateUser request)
        {
            return this.HandleAction(() =>
            {
                IMyUserFacade facade = this.GetFacade<IMyUserFacade>();
                IMyUser user = facade.Create(request.Name);
                return this.CreatePostResponse<IMyUser>(user);
            });
        }

        public object Get(ListUsers request)
        {
            return this.HandleAction(() =>
            {
                IMyUserFacade facade = this.GetFacade<IMyUserFacade>();
                return new ListUsersResponse { Users = Mapper.ConvertTo<IMyUser, User>(facade.FindAll()).ToArray() };
            });
        }
    }
}