﻿using MyFramework;
using MyFramework.ServiceStackApi;
using ServiceStackApiDemo.Contracts;

namespace ServiceStackApiDemo.Web
{
    public class UserAdminService : LelibreService
    {
        public object Post(CreateAdminUser request)
        {
            return this.HandleAction(() =>
            {
                IUserDomainFactory userFactory = InjectionManager.Resolve<IUserDomainFactory>();
                IUser user = userFactory.Create("user", "email@hotmail.com", "FirstName", "LastName", "Jojo Lapin", "fr", "monpassword");
                IRepository<IUser> userRepository = InjectionManager.Resolve<IUserRepository>();
                userRepository.Save(user);
                return this.CreatePostResponse<IUser>(user);
            });
        }
    }
}