﻿using System.Collections.Generic;

using MyFramework.ServiceStackApi;

using ServiceStackApiDemo.Contracts;
using ServiceStack.FluentValidation;
using ServiceStack.FluentValidation.Results;
using ServiceStackApiDemo.Facades;

namespace ServiceStackApiDemo.Web
{
	public class CreateUserValidator : LelibreValidator<CreateUser>
	{
		public override ValidationResult Validate(ValidationContext<CreateUser> context)
		{
			IMyUserFacade userFacade = this.GetFacade<IMyUserFacade>();
			List<ValidationFailure> failures = new List<ValidationFailure>();
			if (userFacade.Contains(context.InstanceToValidate.Name))
			{
				failures.Add(new ValidationFailure("Name", "The name must be unique by user.", "ArgumentException"));
			}

			return new ValidationResult(failures);
		}
	}
}